OFWDUMP(8)

NAME
ofwdump - examine the Open Firmware device tree

SYNOPSIS
ofwdump -a [-p | -P property] [-R | -S]
ofwdump [-p | -P property] [-r] [-R | -S] [--] nodes

DESCRIPTION
The ofwdump utility is used to examine the Open Firmware device tree. In the first synopsis form, the complete device tree is printed; in the second form, only the selected nodes will be examined.

The following options are available:

-a  Print the complete device tree.

-p  Print all available properties.

-P property
    Only print properties of the given name.

-R  Print properties in “raw” format, i.e., omit all headings and indentation and just write the property values unaltered to the standard output. This is intended to be used with the -P option to extract the value of a single property.

-S  Print properties as strings; this is analogous to the -R option, except that each property is only output to the first NUL character, and that newline is appended to each.

-r  Recursively print all children of the specified nodes.

EXAMPLES
Print the complete device tree:

    ofwdump -a

Print the complete device subtree of the “/pci” node, including all available properties:

    ofwdump -pr /pci

Print the “compatible” property of the “/pci” node as plain string:

    ofwdump -P compatible -S /pci

SEE ALSO
eeprom(8)

HISTORY
The ofwdump utility first appeared in FreeBSD 5.0.

AUTHORS
The ofwdump utility was written by Thomas Moestl <tmm@FreeBSD.org>.